## pyqt5 5.5.1+dfsg

=== debian/changelog ===
pyqt5 (5.5.1+dfsg-3ubuntu4) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:46 +0000

pyqt5 (5.5.1+dfsg-3ubuntu3) xenial; urgency=medium

  * No-change rebuild against Qt 5.5.1.
  * Re-enable QtLocation library.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 03 Nov 2015 17:10:53 +0200

pyqt5 (5.5.1+dfsg-3ubuntu2) xenial; urgency=medium

  * Temporarily disable installing QtLocation library, it is not built
    when Qt is older than 5.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 13:20:10 +0300

pyqt5 (5.5.1+dfsg-3ubuntu1) xenial; urgency=medium

  * Build against Qt 5.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 11:32:32 +0300

pyqt5 (5.5.1+dfsg-3) unstable; urgency=medium

  * Move pyuic5-related sed call to install-arch target, it should not
    be run during indep builds.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2015 23:46:29 +0300

pyqt5 (5.5.1+dfsg-2) unstable; urgency=medium

  * Make pyuic5 shebang fixup really work.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2015 20:04:40 +0300

pyqt5 (5.5.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Move fdupes from Build-Depends to Build-Depends-Indep, it is only
    used to build pyqt5-examples package.
  * Sort debian/pyqt5-dev-tools.manpages file.
  * Remove examples/webkit/fancybrowser/__pycache__ from orig tarball,
    it contains a compiled file without source.
  * Remove uupdate call from debian/rules, not needed with git-dpm.

  [ Matthias Klose ]
  * pyuic5: Call the unversioned python3 interpreter.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2015 19:17:22 +0300

pyqt5 (5.5+dfsg-2) unstable; urgency=medium

  * Remove gstreamer 0.10 packages from build-depends, no longer needed.
  * Update Vcs fields for Git migration.
  * Add support for Qt 5.5.1 (0001-Add-support-for-Qt-5.5.1.patch).
  * Move python3-sphinx from Build-Depends to Build-Depends-Indep.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Oct 2015 13:11:35 +0300

pyqt5 (5.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Build against Qt 5.5.0.
  * Add explicit build-dependency on dh-python.
  * Drop Enginio packages. QtEnginio is no longer developed and
    pending deprecation.
  * Build with Sphinx 1.3.
  * Specify repacksuffix in debian/watch.
  * Drop XS-Testsuite header, no longer needed with new dpkg versions.
  * Bump year in debian/copyright.
  * Add QtLocation library to QtPositioning packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Aug 2015 12:59:06 +0300
