=== debian/control ===
Source: pyqt5
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libdbus-1-dev (>= 1.0.2),
               libglib2.0-dev,
               libicu-dev,
               libpulse-dev,
               libqt5opengl5-dev (>= 5.4.0),
               libqt5sensors5-dev (>= 5.4.0),
               libqt5serialport5-dev (>= 5.4.0),
               libqt5svg5-dev (>= 5.4.0),
               libqt5webkit5-dev (>= 5.4.0),
               libqt5websockets5-dev (>= 5.4.0),
               libqt5x11extras5-dev (>= 5.4.0),
               libqt5xmlpatterns5-dev (>= 5.4.0),
               libsqlite3-dev,
               libudev-dev [linux-any],
               libxml2-dev,
               libxslt1-dev,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-dbus,
               python-dbus-dbg,
               python-dbus-dev,
               python-sip-dbg,
               python-sip-dev (>= 4.16.8+dfsg-2~),
               python3-all-dbg,
               python3-all-dev (>= 3.3.2-5~),
               python3-dbus,
               python3-dbus-dbg,
               python3-sip-dbg,
               python3-sip-dev (>= 4.16.8+dfsg-2~),
               qtdeclarative5-dev (>= 5.4.0),
               qtlocation5-dev (>= 5.4.0),
               qtmultimedia5-dev (>= 5.4.0),
               qtpositioning5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0)
Build-Depends-Indep: fdupes, python3-sphinx (>= 1.3)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.6
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyqt5.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyqt5.git

Package: pyqt5-dev
Architecture: all
Depends: python3-sip-dev | python-sip-dev, ${misc:Depends}
Description: Development files for PyQt5
 This package contains the source SIP files from which the Python
 bindings for Qt5 are created. They are needed for building PyQt5
 as well as creating bindings for own Qt5 widgets written in C++.

Package: pyqt5-dev-tools
Depends: python3,
         python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: Development tools for PyQt5
 This package contains various support tools for PyQt5 developers:
  * a user interface compiler (pyuic5)
  * a resource file generator (pyrcc5)
  * a translation string finder (pylupdate5)

Package: pyqt5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pyqt5-examples
Description: Documentation for PyQt5
 PyQt5 exposes the Qt5 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt5.

Package: pyqt5-examples
Architecture: all
Suggests: pyqt5-dev-tools,
          python3-pyqt5.qtmultimedia,
          python3-pyqt5.qtopengl,
          python3-pyqt5.qtquick,
          python3-pyqt5.qtsvg,
          qt5-doc,
          qttools5-dev-tools
Depends: libjs-jquery, python3-pyqt5 | python-pyqt5, ${misc:Depends}
Description: Examples and demos for PyQt5
 PyQt5 exposes the Qt5 GUI toolkit in Python.
 .
 This package the Qt example programs and demos ported to Python.

Package: python3-pyqt5
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sip3:Depends}
Suggests: python3-pyqt5-dbg
Description: Python 3 bindings for Qt5
 PyQt5 exposes the Qt5 API to Python 3. This package contains the following
 modules:
  * QtCore
  * QtDBus
  * QtDesigner
  * QtGui
  * QtHelp
  * QtNetwork
  * QtPrintSupport
  * QtTest
  * QtWidgets
  * QtXml

Package: python3-pyqt5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5 (= ${binary:Version}),
         python3-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5 (debug extensions)
 PyQt5 exposes the Qt5 API to Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-dbus.mainloop.pyqt5
Architecture: any
Depends: python3-dbus, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: D-Bus Qt main loop support for Python 3
 The dbus.mainloop.pyqt5 module provides support for Qt main loop for
 applications that use dbus-python. By default Qt uses main loop from
 GLib on UNIX-like systems, not its own one.
 .
 This package contains the Python 3 version of this module.

Package: python3-dbus.mainloop.pyqt5-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python3-dbg,
         python3-dbus-dbg,
         python3-dbus.mainloop.pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Qt main loop support for Python 3 (debug extension)
 The dbus.mainloop.pyqt5 module provides support for Qt main loop for
 applications that use dbus-python. By default Qt uses main loop from
 GLib on UNIX-like systems, not its own one.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtopengl
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's OpenGL module
 The OpenGL module of PyQt5 provides widgets and utility classes
 for OpenGL rendering in a PyQt5 application.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtopengl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtopengl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
Replaces: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
Description: Python 3 bindings for Qt5's OpenGL module (debug extension)
 The OpenGL module of PyQt5 provides widgets and utility classes
 for OpenGL rendering in a PyQt5 application.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtsql
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SQL module
 The SQL module of PyQt5 provides widgets and utility classes for
 Python 3 SQL database access.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtsql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtsql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SQL module (debug extension)
 The SQL module of PyQt5 provides widgets and utility classes for
 Python 3 SQL database access.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtwebkit
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebKit module
 The WebKit module of PyQt5 provides a Web browser engine that makes it easy
 to embed HTML content into your PyQt application.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtwebkit-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtwebkit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebKit module (debug extensions)
 The WebKit module of PyQt5 provides a Web browser engine that makes it easy
 to embed HTML content into your PyQt application.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtwebsockets
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebSockets module
 The WebSockets module of PyQt5 provides Python 3 bindings for the
 WebSockets specification (both client and server).
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtwebsockets-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtwebsockets (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebSockets module (debug extensions)
 The WebSockets module of PyQt5 provides Python 3 bindings for the
 WebSockets specification (both client and server).
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtxmlpatterns
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's XmlPatterns module
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
 This package provides a PyQt binding for QtXmlPatterns.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtxmlpatterns-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtxmlpatterns (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's XmlPatterns module (debug extension)
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
 This package provides a PyQt binding for QtXmlPatterns.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtsvg
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SVG module
 The SVG module of PyQt5 provides classes for displaying the contents of
 SVG files.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtsvg-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtsvg (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SVG module (debug extension)
 The SVG module of PyQt5 provides classes for displaying the contents of
 SVG files.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtmultimedia
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's Multimedia module
 The Multimedia module of PyQt5 provides a set of APIs to play and record
 media, and manage a collection of media content.
 .
 This package contains the Python 3 version of this module.

Package: python3-pyqt5.qtmultimedia-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtmultimedia (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's Multimedia module (debug extensions)
