## pyqt5 5.7+dfsg

=== debian/changelog ===
pyqt5 (5.7+dfsg-6) unstable; urgency=medium

  * Add patches from upstream to support Qt 5.9 (closes: #872892):
    - no_license_check.diff
    - qt59_support.diff
    - opengl_detection.diff
  * Build against Qt 5.9.1.
  * Enable Qt WebEngine support on arm64, armhf and mipsel (closes: #867733).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Aug 2017 14:41:04 +0300

pyqt5 (5.7+dfsg-5) unstable; urgency=medium

  * Make WebEngine packages depend on WebChannel, to avoid import errors.
  * Disable implicit qml_debug option for debug builds (no_qml_debug.diff).
    Patch taken from openSUSE, thanks Hans-Peter Jansen!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Jan 2017 11:26:05 +0300

pyqt5 (5.7+dfsg-4) unstable; urgency=medium

  * Add Qt WebEngine support for amd64 and i386 (closes: #841830).
  * Add Qt WebChannel support.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Jan 2017 12:47:01 +0300

pyqt5 (5.7+dfsg-3) experimental; urgency=medium

  * Build against Qt 5.7 for experimental.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2016 12:01:27 +0300

pyqt5 (5.7+dfsg-2) unstable; urgency=medium

  * Backport an upstream change to fix conversion of bytes values
    (bytes_conversion.diff; closes: #834875).
  * Update the pyuic5 and pyrcc5 manpages.
  * Drop obsolete debian/README.source.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Aug 2016 21:06:10 +0300

pyqt5 (5.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Use-all-D-Bus-include-directories-returned-by-pkg-co.patch,
    applied upstream.
  * Drop rule to remove pycache from orig tarball, it is no longer there.
  * Update debian/copyright.
  * Stop installing Qt.pyi, it is no longer generated.
  * Update for upstream changes to pyrcc5 and pylupdate5:
    - Add new files to debian/pyqt5-dev-tools.install.
    - Fix shebangs in /usr/bin/pylupdate5 and /usr/bin/pyrcc5 files.
    - Call make install to temporary location to be able to run pyrcc5.
    - Call dh_python3 against pyqt5-dev-tools.
  * Use --no-sip-files configure option instead of removing the .sip files
    after they are installed.
  * Only ship files installed by upstream build system in pyqt5-dev.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Aug 2016 10:25:00 +0300

pyqt5 (5.6+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.6 for experimental.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Apr 2016 15:49:27 +0300

pyqt5 (5.6+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Add missing newline before clean target in debian/rules.
  * Updated debian/watch for the new tarballs naming scheme.
  * Bump sip build-dependencies to 4.18, following configure.py.
  * Drop custom get-orig-source target, it makes no sense.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Override Lintian false positive error about tiger.js file.
  * Fix detection of D-Bus include directories.
  * Install Python type hint (*.pyi) files.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Apr 2016 16:02:09 +0300
