=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyqt5
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 9),
@@ -12,14 +11,15 @@
                libglib2.0-dev,
                libicu-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.4.0),
-               libqt5sensors5-dev (>= 5.4.0),
-               libqt5serialport5-dev (>= 5.4.0),
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5webkit5-dev (>= 5.4.0),
-               libqt5websockets5-dev (>= 5.4.0),
-               libqt5x11extras5-dev (>= 5.4.0),
-               libqt5xmlpatterns5-dev (>= 5.4.0),
+               libqt5opengl5-dev (>= 5.9.1),
+               libqt5sensors5-dev (>= 5.9.1),
+               libqt5serialport5-dev (>= 5.9.1),
+               libqt5svg5-dev (>= 5.9.1),
+               libqt5webchannel5-dev (>= 5.9.1),
+               libqt5webkit5-dev (>= 5.9.1),
+               libqt5websockets5-dev (>= 5.9.1),
+               libqt5x11extras5-dev (>= 5.9.1),
+               libqt5xmlpatterns5-dev (>= 5.9.1),
                libsqlite3-dev,
                libudev-dev [linux-any],
                libxml2-dev,
@@ -30,24 +30,25 @@
                python-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.16.8+dfsg-2~),
+               python-sip-dev (>= 4.18),
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~),
                python3-dbus,
                python3-dbus-dbg,
                python3-sip-dbg,
-               python3-sip-dev (>= 4.16.8+dfsg-2~),
-               qtdeclarative5-dev (>= 5.4.0),
-               qtlocation5-dev (>= 5.4.0),
-               qtmultimedia5-dev (>= 5.4.0),
-               qtpositioning5-dev (>= 5.4.0),
-               qttools5-dev (>= 5.4.0)
+               python3-sip-dev (>= 4.18),
+               qtdeclarative5-dev (>= 5.9.1),
+               qtlocation5-dev (>= 5.9.1),
+               qtmultimedia5-dev (>= 5.9.1),
+               qtpositioning5-dev (>= 5.9.1),
+               qttools5-dev (>= 5.9.1),
+               qtwebengine5-dev (>= 5.9.1) [amd64 arm64 armhf i386 mipsel]
 Build-Depends-Indep: fdupes, python3-sphinx (>= 1.3)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyqt5.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyqt5.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyqt5.git
 
 Package: pyqt5-dev
@@ -62,6 +63,7 @@
 Depends: python3,
          python3-pyqt5 (= ${binary:Version}),
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Architecture: any
 Description: Development tools for PyQt5
@@ -212,6 +214,64 @@
  .
  This package contains the extension built for the Python 3 debug interpreter.
 
+Package: python3-pyqt5.qtwebchannel
+Architecture: any
+Depends: python3-pyqt5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for Qt5's WebChannel module
+ Qt WebChannel enables peer-to-peer communication between the host (PyQt5
+ application) and the client (HTML/JavaScript application). The transport
+ mechanism is supported out of the box by the two popular web engines, Qt
+ WebKit 2 and Qt WebEngine (experimental).
+ .
+ This package contains the Python 3 version of this module.
+
+Package: python3-pyqt5.qtwebchannel-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt5-dbg (= ${binary:Version}),
+         python3-pyqt5.qtwebchannel (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for Qt5's Webchannel module (debug extension)
+ Qt WebChannel enables peer-to-peer communication between the host (PyQt5
+ application) and the client (HTML/JavaScript application). The transport
+ mechanism is supported out of the box by the two popular web engines, Qt
+ WebKit 2 and Qt WebEngine (experimental).
+ .
+ This package contains the extension built for the Python 3 debug interpreter.
+
+Package: python3-pyqt5.qtwebengine
+Architecture: amd64 arm64 armhf i386 mipsel
+Depends: python3-pyqt5.qtwebchannel (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for Qt5's WebEngine module
+ The WebEngine module of PyQt5 provides a Chromium-based Web browser engine
+ for PyQt5 applications.
+ .
+ This package contains the Python 3 version of this module.
+
+Package: python3-pyqt5.qtwebengine-dbg
+Priority: extra
+Section: debug
+Architecture: amd64 arm64 armhf i386 mipsel
+Depends: python3-dbg,
+         python3-pyqt5.qtwebchannel-dbg (= ${binary:Version}),
+         python3-pyqt5.qtwebengine (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for Qt5's WebEngine module (debug extensions)
+ The WebEngine module of PyQt5 provides a Chromium-based Web browser engine
+ for PyQt5 applications.
+ .
+ This package contains the extensions built for the Python 3 debug interpreter.
+
 Package: python3-pyqt5.qtwebkit
 Architecture: any
 Depends: python3-pyqt5 (= ${binary:Version}),
@@ -274,71 +334,3 @@
          ${shlibs:Depends}
 Description: Python 3 bindings for Qt5's XmlPatterns module
  QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
- This package provides a PyQt binding for QtXmlPatterns.
- .
- This package contains the Python 3 version of this module.
-
-Package: python3-pyqt5.qtxmlpatterns-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-pyqt5-dbg (= ${binary:Version}),
-         python3-pyqt5.qtxmlpatterns (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Python 3 bindings for Qt5's XmlPatterns module (debug extension)
- QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
- This package provides a PyQt binding for QtXmlPatterns.
- .
- This package contains the extension built for the Python 3 debug interpreter.
-
-Package: python3-pyqt5.qtsvg
-Architecture: any
-Depends: python3-pyqt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Python 3 bindings for Qt5's SVG module
- The SVG module of PyQt5 provides classes for displaying the contents of
- SVG files.
- .
- This package contains the Python 3 version of this module.
-
-Package: python3-pyqt5.qtsvg-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-pyqt5-dbg (= ${binary:Version}),
-         python3-pyqt5.qtsvg (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Python 3 bindings for Qt5's SVG module (debug extension)
- The SVG module of PyQt5 provides classes for displaying the contents of
- SVG files.
- .
- This package contains the extension built for the Python 3 debug interpreter.
-
-Package: python3-pyqt5.qtmultimedia
-Architecture: any
-Depends: python3-pyqt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Python 3 bindings for Qt5's Multimedia module
- The Multimedia module of PyQt5 provides a set of APIs to play and record
- media, and manage a collection of media content.
- .
- This package contains the Python 3 version of this module.
-
-Package: python3-pyqt5.qtmultimedia-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-pyqt5-dbg (= ${binary:Version}),
-         python3-pyqt5.qtmultimedia (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Python 3 bindings for Qt5's Multimedia module (debug extensions)
