## pyqt5 5.10.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10.3),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                libdbus-1-dev (>= 1.0.2),
                libglib2.0-dev,
                libicu-dev,
+               libjs-jquery,
                libpulse-dev,
                libqt5opengl5-dev (>= 5.9.1),
                libqt5sensors5-dev (>= 5.9.1),
@@ -30,26 +31,26 @@
                python-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.18),
+               python-sip-dev (>= 4.19.4~),
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~),
                python3-dbus,
                python3-dbus-dbg,
                python3-sip-dbg,
-               python3-sip-dev (>= 4.18),
+               python3-sip-dev (>= 4.19.4~),
                qtdeclarative5-dev (>= 5.9.1),
                qtlocation5-dev (>= 5.9.1),
                qtmultimedia5-dev (>= 5.9.1),
                qtpositioning5-dev (>= 5.9.1),
                qttools5-dev (>= 5.9.1),
                qtwebengine5-dev (>= 5.9.1) [amd64 arm64 armhf i386 mipsel]
-Build-Depends-Indep: fdupes, python3-sphinx (>= 1.3)
+Build-Depends-Indep: fdupes
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyqt5.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyqt5.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyqt5.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyqt5
 
 Package: pyqt5-dev
 Architecture: all
@@ -71,16 +72,6 @@
   * a user interface compiler (pyuic5)
   * a resource file generator (pyrcc5)
   * a translation string finder (pylupdate5)
-
-Package: pyqt5-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: pyqt5-examples
-Description: Documentation for PyQt5
- PyQt5 exposes the Qt5 GUI toolkit in Python.
- .
- This package contains Python-specific documentation for PyQt5.
 
 Package: pyqt5-examples
 Architecture: all
@@ -119,7 +110,6 @@
   * QtXml
 
 Package: python3-pyqt5-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -144,7 +134,6 @@
 
 Package: python3-dbus.mainloop.pyqt5-dbg
 Architecture: any
-Priority: extra
 Section: debug
 Depends: python3-dbg,
          python3-dbus-dbg,
@@ -171,7 +160,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtopengl-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -179,8 +167,6 @@
          python3-pyqt5.qtopengl (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
-Replaces: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
 Description: Python 3 bindings for Qt5's OpenGL module (debug extension)
  The OpenGL module of PyQt5 provides widgets and utility classes
  for OpenGL rendering in a PyQt5 application.
@@ -200,7 +186,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtsql-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -229,7 +214,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtwebchannel-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -258,7 +242,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtwebengine-dbg
-Priority: extra
 Section: debug
 Architecture: amd64 arm64 armhf i386 mipsel
 Depends: python3-dbg,
@@ -285,7 +268,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtwebkit-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -312,7 +294,6 @@
  This package contains the Python 3 version of this module.
 
 Package: python3-pyqt5.qtwebsockets-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -334,3 +315,17 @@
          ${shlibs:Depends}
 Description: Python 3 bindings for Qt5's XmlPatterns module
  QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
+ This package provides a PyQt binding for QtXmlPatterns.
+ .
+ This package contains the Python 3 version of this module.
+
+Package: python3-pyqt5.qtxmlpatterns-dbg
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt5-dbg (= ${binary:Version}),
+         python3-pyqt5.qtxmlpatterns (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for Qt5's XmlPatterns module (debug extension)
+ QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
