=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://sf.net/pyqt/PyQt5_gpl-(.*)\.tar\.gz
