## pyqt5 5.10.1+dfsg

=== debian/changelog ===
pyqt5 (5.10.1+dfsg-1ubuntu2) bionic; urgency=medium

  * Backport three upstream commits to fix crashes when running Cura
    (LP: #1766092).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 23 Apr 2018 14:17:14 +0300

pyqt5 (5.10.1+dfsg-1ubuntu1) bionic; urgency=medium

  * Add Qt 5.9.4, 5.9.5 and 5.9.6 to the timeline, to make sure they are
    not detected as Qt 5.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Apr 2018 14:03:51 +0300

pyqt5 (5.10.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Preserve timestamps when copying jquery.min.js, to make pyrcc generate
    the resource file reproducibly.
  * Install sip files directly in the .install file, to fix race condition
    when doing arch+indep build.
  * Update debhelper compatibility level to 10.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Bump copyright years in debian/copyright.

  [ Scott Kitterman ]
  * Fix mismatch python:Version substitution variable for
    python-pyqt5.qtsensors and python-pyqt5.qtx11extras

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Apr 2018 22:32:24 +0300

pyqt5 (5.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump sip build-dependencies to 4.19.4, following configure.py.
  * Update pyrcc5 manpage for -name option removal.
  * Drop disabled_features.diff, applied upstream.
  * Regenerate the resources with QT_HASH_SEED=0, for reproducibility.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Dec 2017 15:51:35 +0300

pyqt5 (5.9+dfsg-2) unstable; urgency=medium

  * Backport upstream patch to fix handling of disabled features (fixes
    build on architectures with OpenGL ES).
  * Enable Qt WebEngine support on mipsel.
  * Drop Breaks/Replaces on versions that are not even in oldstable.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 22:18:04 +0300

pyqt5 (5.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upstream no longer ships Sphinx documentation in this source.
    - Stop building pyqt5-doc package.
    - Update debian/copyright to not exclude doc/html from the tarball.
    - Drop python3-sphinx build-dependency.
  * Bump sip build-dependencies to 4.19.3, following configure.py.
  * Remove unused variables from debian/rules.
  * Build against Qt 5.9.1 in experimental.
  * Copy config-tests directory to build directories before configure.
  * Add explicit build-dependency on libjs-jquery.
  * Enable Qt WebEngine support on arm64 and armhf (closes: #867733).
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jul 2017 11:30:02 +0300

pyqt5 (5.8.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 May 2017 10:25:24 +0300

pyqt5 (5.8.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop bytes_conversion.diff, applied in the new release.
  * Drop no_qml_debug.diff, applied in the new release.
  * Bump sip build-dependencies to 4.19.1, following configure.py.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Mar 2017 17:51:47 +0300
