=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 py3_dbusmoddir = $(shell python3 -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')
 py_dbusmoddir = $(shell python -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')
-
-debian_version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
-upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
-upstream_version = $(subst ~,,$(firstword $(subst +, ,$(debian_version))))
 
 CFLAGS=
 CPPFLAGS=
@@ -51,7 +47,7 @@
 # STRIP is unset to let stripping be handled by dh_strip
 SHARED_CONFIGURE_OPTIONS=--confirm-license --verbose \
 	-q /usr/bin/qmake -c -j $(SPLIT) \
-	LIBDIR_QT=/usr/lib STRIP="" MOC=/usr/bin/moc \
+	STRIP="" MOC=/usr/bin/moc \
 	LIBS_OPENGL="" LIBS_X11="" LIBS_THREAD="" \
 	QMAKE_CFLAGS+="${CFLAGS} ${CPPFLAGS}" \
 	QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
@@ -65,17 +61,20 @@
 build-%/configure-stamp:
 	dh_testdir
 	mkdir -p build-$*
+	cp -r config-tests build-$*/
 	cd build-$* && python$* ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
 			-m $(shell python$*-config --configdir) \
 			-d /usr/lib/python$*/dist-packages \
 			--sip-incdir /usr/include/python$*$(if $(filter 3.%, $*),m,) \
-			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-designer-plugin --no-qml-plugin --no-tools --no-sip-files)
+			--no-sip-files \
+			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-designer-plugin --no-qml-plugin --no-tools)
 	sed -i '/strip/d' build-$*/*/Makefile
 	touch $@
 
 dbg-build-%/configure-stamp:
 	dh_testdir
 	mkdir -p dbg-build-$*
+	cp -r config-tests dbg-build-$*/
 	cd dbg-build-$* && python$*-dbg ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
 			-m $(shell python$*-dbg-config --configdir) \
 			-l /usr/include/python$*$(if $(filter 3.%, $*),dm,_d) \
@@ -110,19 +109,15 @@
 	mkdir -p tmp_install_root
 	$(MAKE) -C build-$(DEFAULT_PYTHON) install INSTALL_ROOT=$(CURDIR)/tmp_install_root
 
-	# Install the sip files generated by make install
-	mkdir -p debian/tmp/usr/share/
-	mv tmp_install_root/usr/share/sip/ debian/tmp/usr/share/
-
 	dh_installdirs -i
-	dh_install -i --fail-missing
+	dh_install -i
 	dh_installexamples -Xactiveqt -i
 	# Use python3 shebangs and regenerate resource files
 	export PYTHONPATH=$(CURDIR)/tmp_install_root/usr/lib/python$(DEFAULT_PYTHON)/dist-packages; \
 	cd $(CURDIR)/debian/pyqt5-examples/usr/share/doc/pyqt5-examples/examples/; \
-		cp /usr/share/javascript/jquery/jquery.min.js webkit/fancybrowser/; \
+		cp --preserve=timestamps /usr/share/javascript/jquery/jquery.min.js webkit/fancybrowser/; \
 		find . -name '*.py' -exec sed -i 's/\/env python/\/python3/g' {} +; \
-		find . -name '*.qrc' | sed 's/\.qrc//g' | xargs -I {} \
+		find . -name '*.qrc' | sed 's/\.qrc//g' | QT_HASH_SEED=0 xargs -I {} \
 		$(CURDIR)/tmp_install_root/usr/bin/pyrcc5 {}.qrc -o {}_rc.py
 	# Symlink duplicate files in examples. Based on Andrew Starr-Bochicchio's
 	# code in ubuntu-packaging-guide.
@@ -150,7 +145,8 @@
 		$(MAKE) -f debian/rules install-arch-$$p;\
 	done
 
-	dh_install -a --fail-missing
+	dh_install -a
+	dh_missing --fail-missing
 	sed -i 's,/usr/bin/python3[.0-9]*,/usr/bin/python3,' debian/pyqt5-dev-tools/usr/bin/*
 
 	find debian/python*-dbg ! -type d \
@@ -198,3 +194,6 @@
 		debian/python3-pyqt5.qtmultimedia-dbg/usr/lib/python3.$*/dist-packages/PyQt5
 	mv $(d3_qt5_dbg)/usr/lib/python3.$*/dist-packages/PyQt5/QtQml.so \
 	   $(d3_qt5_dbg)/usr/lib/python3.$*/dist-packages/PyQt5/QtQuick*.so \
+		debian/python3-pyqt5.qtquick-dbg/usr/lib/python3.$*/dist-packages/PyQt5
+	mv $(d3_qt5_dbg)/usr/lib/python3.$*/dist-packages/PyQt5/QtSerialPort.so \
+		debian/python3-pyqt5.qtserialport-dbg/usr/lib/python3.$*/dist-packages/PyQt5
